%define major   0
%define api     0.1
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Name:           verbiste
Version:        0.1.49
Release:        %mkrel 1
Summary:        French conjugation system
License:        GPLv2+
Group:          Office/Dictionary
URL:            http://sarrazip.com/dev/verbiste.html
Source:         http://sarrazip.com/dev/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  perl(XML::Parser)

%description
Verbiste is a French conjugation system. It contains a C++ library, two
programs that can be run from the command line or from another program,
and a GNOME applet. This applet shows a text field in the GNOME Panel
where the user can enter a conjugated verb and obtain its complete
conjugation. The knowledge base is represented in XML and contains over
6800 verbs.

%files
%doc AUTHORS HACKING LISEZMOI NEWS README THANKS COPYING
%license COPYING
%{_bindir}/french-{de,}conjugator
%{_datadir}/%{name}-%{api}/
%{_mandir}/man1/french-{de,}conjugator.1*
%lang(fr) %{_mandir}/fr/man1/french-{de,}conjugator.1*

#--------------------------------------------------------------------

%package        gtk
Summary:        Gtk+ interface for %{name}
Group:          Office/Dictionary
Requires:       %{name} >= %{version}-%{release}

%description gtk
Gtk+ interface for %{name}.

%files gtk -f %{name}.lang
%{_bindir}/verbiste-gtk
%{_iconsdir}/hicolor/*/apps/verbiste.*
%dir %{_datadir}/texmf/tex/latex/verbiste/
%{_datadir}/texmf/tex/latex/verbiste/verbiste.cfg
%{_datadir}/texmf/tex/latex/verbiste/verbiste.cls
%{_datadir}/applications/verbiste-gtk.desktop

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n     %{devname}
Summary:        %{name} header files
Group:          Development/GNOME and GTK+
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       lib%{name}%{api}-devel = %{version}-%{release}
Conflicts:	verbiste < 0.1.48-2

%description -n %{devname}
This package contains %{name} header files.

%files -n %{devname}
%{_includedir}/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_mandir}/man3/%{name}.3*
%lang(fr) %{_mandir}/fr/man3/%{name}.3*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure --without-gnome-app
%make_build

%install
%make_install

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -Dpm644 src/gnome/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}-gtk.desktop
sed -i -e 's/^\(Exec=\).*/\1%{name}-gtk/' %{buildroot}%{_datadir}/applications/%{name}-gtk.desktop

%find_lang %{name}


%changelog
* Wed Aug 07 2024 daviddavid <daviddavid> 0.1.49-1.mga10
+ Revision: 2083971
- new version: 0.1.49

* Tue Jul 16 2024 wally <wally> 0.1.48-2.mga10
+ Revision: 2081785
- build without gnome app
- move devel man pages to devel pkg

* Mon Sep 04 2023 daviddavid <daviddavid> 0.1.48-1.mga10
+ Revision: 1983917
- new version: 0.1.48

* Wed Apr 06 2022 umeabot <umeabot> 0.1.47-3.mga9
+ Revision: 1845792
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.1.47-2.mga8
+ Revision: 1534648
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 06 2019 daviddavid <daviddavid> 0.1.47-1.mga8
+ Revision: 1449816
- new version: 0.1.47

* Sat Aug 03 2019 daviddavid <daviddavid> 0.1.46-1.mga8
+ Revision: 1427046
- new version: 0.1.46

* Sun Sep 23 2018 umeabot <umeabot> 0.1.45-2.mga7
+ Revision: 1301608
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 0.1.45-1.mga7
+ Revision: 1190637
- new version: 0.1.45

* Mon Mar 06 2017 lmenut <lmenut> 0.1.44-1.mga6
+ Revision: 1089148
- update to 0.1.44

* Wed Apr 13 2016 lmenut <lmenut> 0.1.43-1.mga6
+ Revision: 1001142
- update to 0.1.43

* Fri Feb 12 2016 umeabot <umeabot> 0.1.42-4.mga6
+ Revision: 959137
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 lmenut <lmenut> 0.1.42-3.mga6
+ Revision: 892570
- update to 0.1.42
- remove old conflicts & obsoletes

* Wed Oct 15 2014 umeabot <umeabot> 0.1.41-3.mga5
+ Revision: 741199
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.41-2.mga5
+ Revision: 690198
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 lmenut <lmenut> 0.1.41-1.mga5
+ Revision: 643947
- update to 0.1.41
- switch to pkgconfig() style BRs

* Sun Jan 05 2014 pterjan <pterjan> 0.1.40-1.mga4
+ Revision: 564884
- Update to 0.1.40 and drop dependency on gnome-panel-devel we no longer ship

* Sat Oct 19 2013 umeabot <umeabot> 0.1.38-3.mga4
+ Revision: 532618
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 0.1.38-2.mga4
+ Revision: 468867
- fix lib and devel pkg names
- clean .spec a bit
- clean .spec

* Tue Jul 23 2013 lmenut <lmenut> 0.1.38-1.mga4
+ Revision: 457342
- fix some summaries and descriptions
- update to 0.1.38
- fix rpm group
- clean spec

* Mon Jan 14 2013 umeabot <umeabot> 0.1.35-2.mga3
+ Revision: 385402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 lmenut <lmenut> 0.1.35-1.mga3
+ Revision: 320368
- update to 0.1.35

* Sun Aug 26 2012 lmenut <lmenut> 0.1.34-1.mga3
+ Revision: 284226
- update to 0.1.34

* Sun Apr 15 2012 lmenut <lmenut> 0.1.33-3.mga2
+ Revision: 230870
- Add obsoletes to ensure upgrade from previous libverbiste with wrong major

* Sat Jun 25 2011 dmorgan <dmorgan> 0.1.33-2.mga2
+ Revision: 113341
- Do not build gnome applet
  fix major
  Use macro for major in lib package
  Remove .la file
  Clean spec file
- Rebuild against gnome3

* Wed Apr 13 2011 lmenut <lmenut> 0.1.33-1.mga1
+ Revision: 84756
- update to 0.1.33
- add conflicts forgotten in previous release

* Thu Mar 24 2011 boklm <boklm> 0.1.32-2.mga1
+ Revision: 76218
- rebuild for bug #497

* Sun Mar 20 2011 lmenut <lmenut> 0.1.32-1.mga1
+ Revision: 74992
- fix release
- update to 0.1.32
- clean spec file
  - remove buildroot
  - update Summary, Group, URL and Source
- add cairo-devel in BR


* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.26-1mdv2010.0
+ Revision: 392611
- Update to new version 0.1.26
- Adapt file list for new LaTeX export function
- Don't run libtool, use %%configure2_5x

* Mon Jun 08 2009 Jerome Martin <jmartin@mandriva.org> 0.1.25-1mdv2010.0
+ Revision: 383925
- version 0.1.25

* Mon Feb 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.24-1mdv2009.1
+ Revision: 338968
- Update to new version 0.1.24
- Fix build with libtool 2.2
- Fix build with -Werror=format-security

* Tue Sep 23 2008 Frederik Himpe <fhimpe@mandriva.org> 0.1.23-1mdv2009.0
+ Revision: 287511
- Fix BuildRequires
- Fix license

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add verbiste as requires on verbiste-gtk
    - Update to 0.1.23

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.21-1mdv2008.1
+ Revision: 97316
- New release 0.1.21


* Tue Feb 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.19-2mdv2007.0
+ Revision: 116813
- build with gtk+/gnome support

* Wed Jan 10 2007 Lenny Cartier <lenny@mandriva.com> 0.1.19-1mdv2007.1
+ Revision: 107201
- Update to 0.1.19

* Fri Dec 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.17-1mdv2007.1
+ Revision: 89580
- New version 0.1.17
- Fix File List
- Fix BuildRequires

* Tue Aug 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.15-1mdv2007.0
+ Revision: 57041
- verbiste-0.1.15-1mdv2007.0
- import verbiste-0.1.15-1mdv2007.0

